Index: cprs/trunk/CPRS-Chart/fProbEdt.pas
===================================================================
--- cprs/trunk/CPRS-Chart/fProbEdt.pas	(revision 456)
+++ cprs/trunk/CPRS-Chart/fProbEdt.pas	(revision 830)
@@ -6,5 +6,6 @@
   SysUtils, windows, Messages, Classes, Graphics, Controls,
   Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, Grids,
-  ORCtrls, Vawrgrid, uCore, Menus, uConst;
+  ORCtrls, Vawrgrid, uCore, Menus, uConst, fBase508Form,
+  VA508AccessibilityManager;
 
 const
@@ -12,5 +13,5 @@
 
 type
-  TfrmdlgProb = class(TForm)
+  TfrmdlgProb = class(TfrmBase508Form)
     Label1: TLabel;
     Label5: TLabel;
@@ -43,4 +44,5 @@
     ckHNC: TCheckBox;
     ckMST: TCheckBox;
+    ckSHAD: TCheckBox;
     ckVerify: TCheckBox;
     edRecDate: TCaptionEdit;
@@ -128,5 +130,6 @@
 {$R *.DFM}
 
-uses ORFn, uProbs, fProbs, rProbs, fCover, rCover, rCore, fProbCmt, fProbLex, rPCE, uInit  ;
+uses ORFn, uProbs, fProbs, rProbs, fCover, rCover, rCore, fProbCmt, fProbLex, rPCE, uInit  ,
+     VA508AccessibilityRouter;
 
 type
@@ -247,4 +250,5 @@
         ckHNC.enabled        := false;
         ckMST.enabled        := false;
+        ckSHAD.enabled       := false;
         if Reason = 'R' then bbFile.caption := 'Remove';
       end;
@@ -260,6 +264,5 @@
       begin {edit,remove or display existing problem}
         problemIFN := Piece(subjProb, u, 1);
-        //AList.Assign(EditLoad(ProblemIFN,pProviderID,PLPt.ptVAMC)) ;
-        AList.Assign(EditLoad(ProblemIFN,User.DUZ,PLPt.ptVAMC)) ;   //V17.5   RV
+        FastAssign(EditLoad(ProblemIFN, User.DUZ, PLPt.ptVAMC), AList) ;   //V17.5   RV
       end
     else {new  problem}
@@ -312,4 +315,5 @@
           ckHNC.enabled := PtHNC ;
           ckMST.enabled := PtMST ;
+          ckSHAD.Enabled := PtSHAD;
           ckAO.checked  := Probrec.AOProblem and PtAgentOrange;
           ckRAD.checked := Probrec.RADProblem and PtRadiation;
@@ -317,4 +321,5 @@
           ckHNC.checked := Probrec.HNCProblem and PtHNC;
           ckMST.checked := Probrec.MSTProblem and PtMST;
+          ckSHAD.Checked := Probrec.SHADProlem and PtSHAD;
         end ;
     cbProv.InitLongList(ProbRec.RespProvider.extern) ;
@@ -511,4 +516,5 @@
     if ckHNC.enabled then ProbRec.HNCProblem  := ckHNC.Checked;
     if ckMST.enabled then ProbRec.MSTProblem  := ckMST.Checked;
+    if ckSHAD.Enabled then ProbRec.SHADProlem := ckSHAD.Checked;
     if cbProv.itemindex = -1 then {Get provider}
       begin
@@ -539,10 +545,9 @@
           ut := '';
           if PLUser.usPrimeUser then ut := '1';
-          //AList.Assign(EditSave(ProblemIFN,pProviderID,PLPt.ptVAMC,ut,ProbRec.FilerObject)) ;
-          AList.Assign(EditSave(ProblemIFN,User.DUZ,PLPt.ptVAMC,ut,ProbRec.FilerObject)) ;    //V17.5  RV
+          FastAssign(EditSave(ProblemIFN, User.DUZ, PLPt.ptVAMC, ut, ProbRec.FilerObject), AList) ;    //V17.5  RV
         end;
       'A','a':  {new problem}
-         AList.Assign(AddSave(PLPt.GetGMPDFN(Patient.DFN, Patient.Name),
-           pProviderID,PLPt.ptVAMC,ProbRec.FilerObject)) ;  //*DFN*
+         FastAssign(AddSave(PLPt.GetGMPDFN(Patient.DFN, Patient.Name),
+           pProviderID, PLPt.ptVAMC, ProbRec.FilerObject), AList) ;  //*DFN*
       'R','r': {remove problem}
          begin
@@ -551,6 +556,5 @@
              if TComment(Probrec.comments[pred(probrec.commentcount)]).IsNew then
                remcom := TComment(Probrec.comments[pred(probrec.commentcount)]).Narrative;
-           AList.Assign(ProblemDelete(ProbRec.PIFN,User.DUZ,PLPt.ptVAMC,remcom)) ;    //changed in v14
-           //AList.Assign(ProblemDelete(ProbRec.PIFN,Encounter.Provider,PLPt.ptVAMC,remcom)) ;
+           FastAssign(ProblemDelete(ProbRec.PIFN, User.DUZ, PLPt.ptVAMC, remcom), AList) ;    //changed in v14
          end
     else exit;
@@ -715,5 +719,6 @@
   alist.add('NEW' + v + '1.12' + v + '0' + u + 'NO'); {RAD}
   alist.add('NEW' + v + '1.13' + v + '0' + u + 'NO'); {ENV}
-  alist.add('NEW' + v + '1.14' + v + '');
+  alist.add('NEW' + v + '1.14' + v + '0' + u + 'NO'); {SHD}
+  alist.add('NEW' + v + '1.15' + v + '');
 end;
 
@@ -808,5 +813,5 @@
       alist := TstringList.create;
       try
-        AList.Assign(ProviderList('',25,V,V)) ;
+        FastAssign(ProviderList('', 25, V, V), AList) ;
         if alist.count > 0 then
           begin
@@ -831,6 +836,6 @@
   alist := TstringList.create;
   try
-    AList.Assign(ClinicSearch(' ')) ;
-    if alist.count > 0 then cbLoc.Items.assign(Alist);
+    FastAssign(ClinicSearch(' '), AList) ;
+    if alist.count > 0 then FastAssign(Alist, cbLoc.Items);
   finally
     alist.free;
@@ -1003,3 +1008,6 @@
 end;
 
+initialization
+  SpecifyFormIsNotADialog(TfrmdlgProb);
+
 end.
